using Sirenix.OdinInspector;
using DG.Tweening;
using UnityEngine;

namespace mGame
{
    public class BubbleJumper : MonoBehaviour
    {
        [FoldoutGroup("Component")] public Transform resetPos;
        [FoldoutGroup("Setting")] public float resetTime = .1f;

        private void OnTriggerEnter(Collider other)
        {
            if (other.TryGetComponent(out Bubble bubble))
            {
                bubble.DoJump();
            }
        }
    }
}

